package digital.laboratory.platform.entrustment.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 样品库
 *
 * @author Zhang Xiaolong created at  2022-07-15
 * @describe 样品库 实体类
 */
@Data
@TableName(value = "b_sample_store", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "样品库")
public class SampleStore extends BaseEntity {

    /**
     * id
     */
        @TableId(value = "id", type = IdType.ASSIGN_UUID)
        @ApiModelProperty(value="id")
    private String id;

    /**
     * 样品库类型: 0=样品库 1=暂存库
     */
    @ApiModelProperty(value="样品库类型: 0=样品库 1=暂存库")
    private String type;

    /**
     * 样品库管理员1
     */
    @ApiModelProperty(value="样品库管理员1")
    private String keeper1;

    /**
     * 样品库管理员2
     */
    @ApiModelProperty(value="样品库管理员2")
    private String keeper2;

    /**
     * comments
     */
    @ApiModelProperty(value="comments")
    private String comments;


}
