package digital.laboratory.platform.entrustment.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 样品库管理员换班日志
 *
 * @author Zhang Xiaolong created at  2022-07-15
 * @describe 样品库管理员换班日志 实体类
 */
@Data
@TableName(value = "b_sample_store_change_duty_log", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "样品库管理员换班日志")
public class SampleStoreChangeDutyLog extends BaseEntity {

    /**
     * id
     */
        @TableId(value = "id", type = IdType.ASSIGN_UUID)
        @ApiModelProperty(value="id")
    private String id;

    /**
     * 老的样品库管理员1
     */
    @ApiModelProperty(value="老的样品库管理员1")
    private String oldKeeper1;

    /**
     * 老的样品库管理员2
     */
    @ApiModelProperty(value="老的样品库管理员2")
    private String oldKeeper2;

    /**
     * 新的样品库管理员1
     */
    @ApiModelProperty(value="新的样品库管理员1")
    private String newKeeper1;

    /**
     * 新的样品库管理员2
     */
    @ApiModelProperty(value="新的样品库管理员2")
    private String newKeeper2;

    /**
     * comments
     */
    @ApiModelProperty(value="comments")
    private String comments;


}
