package digital.laboratory.platform.entrustment.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 暂存柜
 *
 * @author Zhang Xiaolong created at  2022-07-15
 * @describe 检材柜 实体类
 */
@Data
@TableName(value = "b_storage_cabinet", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "检材柜")
public class StorageCabinet extends BaseEntity {

    /**
     * id
     */
        @TableId(value = "id", type = IdType.ASSIGN_UUID)
        @ApiModelProperty(value="id")
    private String id;

    /**
     * 柜子编号,用于柜子控制API
     */
    @ApiModelProperty(value="柜子编号,用于柜子控制API")
    private String cabinetNo;

    /**
     * 暂存柜类型:待检, 已检待返, 已检待销毁, 长期存放待
     */
    @ApiModelProperty(value="暂存柜类型:待检, 已检待返, 已检待销毁, 长期存放待")
    private String type;

    /**
     * comments
     */
    @ApiModelProperty(value="comments")
    private String comments;


}
