package digital.laboratory.platform.entrustment.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 暂存柜,每行一个单元格
 *
 * @author Zhang Xiaolong created at  2022-07-15
 * @describe 暂存柜,每行一个单元格 实体类
 */
@Data
@TableName(value = "b_storage_cell", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "暂存柜,每行一个单元格")
public class StorageCell extends BaseEntity {

    /**
     * id
     */
        @TableId(value = "id", type = IdType.ASSIGN_UUID)
        @ApiModelProperty(value="id")
    private String id;

    /**
     * 柜号,大柜子的编号
     */
    @ApiModelProperty(value="柜号,大柜子的编号")
    private String cabinetNo;

    /**
     * 单元格号
     */
    @ApiModelProperty(value="单元格号")
    private Integer cellNo;

    /**
     * 取件码
     */
    @ApiModelProperty(value="取件码")
    private Integer openCode;

    /**
     * 取件码过期时间
     */
    @ApiModelProperty(value="取件码过期时间")
    private LocalDateTime openCodeExpiration;

    /**
     * 单元格可能性: 0=不可用(保留), 1=可用
     */
    @ApiModelProperty(value="单元格可能性: 0=不可用(保留), 1=可用")
    private Boolean available;

    /**
     * 单元格状态: 0=空, 1=已有物品
     */
    @ApiModelProperty(value="单元格状态: 0=空, 1=已有物品")
    private Boolean status;

    /**
     * boxId
     */
    @ApiModelProperty(value="boxId")
    private String boxId;


}
