package digital.laboratory.platform.entrustment.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 暂存柜记录
 *
 * @author Zhang Xiaolong created at  2022-07-15
 * @describe 暂存柜记录 实体类
 */
@Data
@TableName(value = "b_storage_cell_log", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "暂存柜记录")
public class StorageCellLog extends BaseEntity {

    /**
     * id
     */
        @TableId(value = "id", type = IdType.ASSIGN_UUID)
        @ApiModelProperty(value="id")
    private String id;

    /**
     * 单元格标识
     */
    @ApiModelProperty(value="单元格标识")
    private String cellId;

    /**
     * 操作: 存放/取出
     */
    @ApiModelProperty(value="操作: 存放/取出")
    private Boolean operate;

    /**
     * 存放或取出的盒子
     */
    @ApiModelProperty(value="存放或取出的盒子")
    private String boxId;


}
