package digital.laboratory.platform.entrustment.query;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDate;

/**
 * 申请修改委托消息 查询对象（分页查询、列表查询）
 *
 * @author Chen
 * @since 1.0.0 2024-08-14
 */
@Data
@ApiModel(description = "申请修改委托消息 查询对象（分页查询、列表查询）")
public class EntrustAlterApplyQuery {

    @ApiModelProperty(value = "分页参数，每页多少条, 默认10")
    private Long size = 10L;

    @ApiModelProperty(value = "分页参数， 当前页， 默认1")
    private Long current = 1L;

    @ApiModelProperty(value = "关键字，支持 案件名称查询")
    private String keywords;

    @ApiModelProperty(value = "申请人id查询")
    private String applicant;

    @ApiModelProperty(value = "开始日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDate startDate;

    @ApiModelProperty(value = "结束日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDate endDate;

    @ApiModelProperty(value = "状态")
    private Integer status;

    // 是否是员工
    private Boolean isStaff;

    // 非实验室人员的机构id
    private String clientOrgId;
}
