package digital.laboratory.platform.entrustment.vo;

import digital.laboratory.platform.entrustment.entity.Entrustment;
import digital.laboratory.platform.entrustment.entity.EntrustmentIdentificationMaterial;
import lombok.Data;

import java.util.List;

@Data
public class EntrustmentVO extends Entrustment {
    String caseName;            // 案件名称
    String caseNo;            // 案件编号
    String caseBrief;            // 案情简要
    List<String> clientOrgAncestors; // 委托单位的祖先 id,  json 字符串数组

    String submitterName;       // 委托提交人姓名
    String checkClaimUserName;       // 审核任务认领人姓名
    String checkUserName;       // 审核人姓名
    String approveClaimUserName;         // 审批任务认领人姓名
    String approveUserName;         // 审批人姓名
    String deliverConfirmUserName;  // 送检确认人姓名
    String deliverSubmitterName;    // 送检操作提交人姓名
    String acceptClaimUserName;         // 受理任务认领人姓名
    String acceptUserName;          // 受理人姓名
    String reportSenderUserName;      // 报告发放人姓名
    String sampleSenderUserName;      // 检材发放人姓名

    String createUserName;          // 创建人姓名
    String updateUserName;          // 更新人姓名

    String statusDescription;          // 状态描述
    String previousStatusDescription;          // 上一个状态的描述

    int identificationMaterialCount;    // 检材数量

    String oldIdentificationBrief;      // 原鉴定情况(组合5个字段形成综述)

    String identificationNo;

    String happenTime;//案发时间

    private List<EntrustmentIdentificationMaterial> materialList;//检材列表
}
